#Returns a configuration object based on the twelve byte passed in. Since we don't have access to
#interfaces, return a standard object.
function RunConfiguration([string] $twelveByte, [ConfigData] $data) {
    switch ($twelveByte) {
        "msiesp" {
            ConfigureESP -installdir $data.installDir -licenseFile $data.licenseFile
            return
        }
        "msiespstudio" {
            ConfigureESPStudio
            return
        }
        Default {
            Write-Verbose "No configuration found for '$twelveByte'. Continuing..."
            return
        }
    }
    #how could this ever be hit? Compiler needs it though.
    throw "Config for product '$twelveByte' not found!"
}

function RunUnconfiguration([string] $twelveByte, [ConfigData] $data) {
    switch ($twelveByte) {
        "msifoundatn" {
            UnconfigureFoundation
            return
        }
        "msistudiobsc" {
            UnconfigureStudio
            return
        }
        "msivacas" {
            UnconfigureCas -deploymentId $data.deploymentId -instanceId $data.instanceId
            return
        }
        "msiesp" {
            UnconfigureESP
            return
        }
        "msiespstudio" {
            UnconfigureESPStudio
            return
        }
        Default {
            Write-Verbose "No configuration found for '$twelveByte'. Continuing..."
            return
        }
    }

    throw "Config for product '$twelveByte' not found!"
}
