#This file contains the function that control user interaction.

#returns true if user enters yes, false if no, prompts until one of the two is entered.
function YesNoPrompt {
    param(
        [Parameter(Mandatory)]
        [string] $message
    )

    while ($true) {
        $response = Read-Host "$message [yes/no]"

        switch ($response) {
            'yes' { return $true }
            'no' { return $false }
            Default { Write-Host "$response is invalid. Please enter 'yes' or 'no'." }
        }
    }
}

function PromptInstallUpgrade {
    param()

    return YesNoPrompt -message "Do you wish to install updates?"
}

function PromptDownloadUpgrades {
    param()
    return YesNoPrompt -message "Do you wish to download updates?"
}

#Use this to terminate execution early.
#We need to be careful with this so our metadata doesn't get left in an inconsistent state.
function TerminateEarly {
    param()

    Write-Host "Stopping execution."
    Stop-Transcript
    exit
}