function shouldDownloadPackage {
    param(
        [string] $pkgPath,
        [string] $checksum,
        [string] $checksumType
    )

    #If no checksum is provided, we can't check if we already have it,
    #so download anyw
    if ($null -eq $checksum -or $checksum -eq '' -or 
        $null -eq $checksumType -or $checksumType -eq '') {
        return $true
    }

    if (!(Test-Path $pkgPath) -or !(packageChecksumsMatch $checksum $checksumType $pkgPath)) {
        return $true
    }

    return $false
}

function packageChecksumsMatch {
    param(
        [string] $mdHash,
        [string] $checksumType,
        [string] $pkgPath
    )

    $sum = Get-FileHash -Path $pkgPath -Algorithm $checksumType

    if ($sum.Hash -eq $mdHash) {
        return $true
    }

    return $false
}