#Compare two version strings. Return 1 if the first is greater,
# -1 if the second is greater, and 0 if they're equal.
function compareVersions {
    param(
        [string] $first,
        [string] $second
    )

    $first = [System.Version]$first
    $second = [System.Version]$second

    return $first.CompareTo($second)
}

function CompareVersionData {
    param(
        [Parameter(Mandatory = $true)]
        [string] $first,
        [Parameter(Mandatory = $true)]
        [string] $second,
        [switch] $checkSasVersions
    )

    $firstVerObj = [System.Version]$first
    $secondVerObj = [System.Version]$second
    #compare at 4 levels that SAS uses: Major, Minor, Build, Revision, internal use only
    if ($true -eq $checkSasVersions){
        return $firstVerObj.CompareTo($secondVerObj)
    }
    else{
        #compare at 3 levels only : Major, Minor, Build
        $tmp1 = New-Object -TypeName 'System.Version' ($firstVerObj.Major, $firstVerObj.Minor, $firstVerObj.Build)
        $tmp2 = New-Object -TypeName 'System.Version' ($secondVerObj.Major, $secondVerObj.Minor, $secondVerObj.Build)
        return $tmp1.CompareTo($tmp2)
    }

}
